%define name 	jack-rack
%define version 1.4.4
%define release %mkrel 4

Name: 		%{name}
Summary: 	LADSPA effects rack for JACK
Version: 	%{version}
Release: 	%{release}

Source:		http://prdownloads.sourceforge.net/jack-rack/%{name}-%{version}.tar.bz2
URL:		http://jack-rack.sourceforge.net/
License:	GPL
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	ladspa-devel pkgconfig jackit-devel
BuildRequires:	gtk2-devel libgnomeui2-devel ImageMagick
BuildRequires:	chrpath

%description
JACK Rack is an effects "rack" for the JACK low latency audio API. The rack
can be filled with LADSPA effects plugins. It's phat; it turns your computer
into an effects box.

%prep
%setup -q

%build
%configure2_5x
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
chrpath -d %buildroot/%_bindir/%name

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="%{name}.png" needs="x11" title="JACK-Rack" longtitle="Effect rack" section="Multimedia/Sound" xdg="true"
EOF

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="GTK" \
  --add-category="AudioVideo;Sequencer" \
  --add-category="X-MandrivaLinux-Multimedia-Sound" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 pixmaps/jack-rack-icon.png $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 pixmaps/jack-rack-icon.png $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 pixmaps/jack-rack-icon.png $RPM_BUILD_ROOT/%_miconsdir/%name.png

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root)
%doc README AUTHORS BUGS COPYING ChangeLog NEWS TODO
%{_bindir}/%name
%{_datadir}/%name
%{_datadir}/applications/%name.desktop
%{_datadir}/pixmaps/*.png
%{_datadir}/dtds
%{_menudir}/%name
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png

%changelog
* Sun Sep 03 2006 Emmanuel Andry <eandry@mandriva.org> 1.4.4-4mdv2007.0
- %%mkrel
- xdg menu

* Thu Apr 20 2006 Austin Acton <austin@mandriva.org> 1.4.4-3mdk
- URL (littletux)
- disable rpath (me)

* Fri Mar 31 2006 Austin Acton <austin@mandriva.org> 1.4.4-2mdk
- Rebuild

* Wed Aug 24 2005 Austin Acton <austin@mandriva.org> 1.4.4-1mdk
- 1.4.4
- source URL

* Sun Feb 6 2005 Austin Acton <austin@mandrake.org> 1.4.3-2mdk
- birthday
- fix summary
- configure 2.5

* Thu Dec 11 2003 Austin Acton <austin@linux.ca> 1.4.3-1mdk
- 1.4.3
- convert icon on-the-fly

* Tue Aug 5 2003 Austin Acton <aacton@yorku.ca> 1.4.2-2mdk
- DIRM

* Sun Jul 6 2003 Austin Acton <aacton@yorku.ca> 1.4.2-1mdk
- 1.4.2

* Wed Feb 19 2003 Austin Acton <aacton@yorku.ca> 1.4.1-1mdk
- 1.4.1

* Sun Feb 16 2003 Austin Acton <aacton@yorku.ca> 1.4.0-1mdk
- 1.4.0

* Mon Feb 10 2003 Austin Acton <aacton@yorku.ca> 1.3.0-1mdk
- 1.3.0

* Thu Feb 6 2003 Austin Acton <aacton@yorku.ca> 1.2.0-1mdk
- 1.2.0

* Thu Jan 16 2003 Austin Acton <aacton@yorku.ca> 1.1.2-1mdk
- initial package
